Subject: Re: [Sip] How to respond if the request has no Call-ID

From: Jonathan Rosenberg <[email-masked]>
Date: Thu, 05 Sep 2002 14:38:18 -0400

Time for my normal "sip error handling" speech...

The spec does not dictate the error treatment for unrecoverable errors 
caused by misimplemented clients and servers. It would be futile. In 
these cases, an implementation is encouraged to be as forgiving as 
possible. In this case, either discarding the message, or a 4xx without 
a call-id header, would be reasonable choices.

Please don't read 21.4.1 so literally that it implies that you are 
supposed to generate a 4xx to a request without an invite. Its merely 
providing some general guidance on usage of the reason phrase. However, 
I will make a note to change the example for draft standard.

-Jonathan R.

Prasanna wrote:
> Hi,
> 	According to RFC 3261 section 21.4.1
> "The Reason-Phrase SHOULD identify the syntax problem in more detail,
> for
>    example, "Missing Call-ID header field"."
> 
> If a request comes without a Call-ID header field, what call-ID should
> the
> 400 response bear.
> 
> The same issue is applicable for "To" "From" CSeq" headers also.
> 
> Another issue is, if a request does not bear a "Via" header, where
> should
> the response go, if at all the UAS decides to respond.
> 
> Thanks in advance for the responses,
> Regards,
> Prasanna
> 
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
> 

-- 
Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Prasanna <[email-masked]>
Date: Fri, 06 Sep 2002 08:42:27 +0800

Thanks for the comments Mr. Rosenberg.  Since this particular case is also a
part of the torture test cases (2.11), I was really stumped on this.
Regards,
Prasanna

-----Original Message-----
From: Jonathan Rosenberg [mailto:[email-masked]]
Sent: Friday, September 06, 2002 2:38 AM
To: Prasanna
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Re: [Sip] How to respond if the request has no Call-ID

-Jonathan R.